Bug 1411201 - Review Request: js-jquery-file-upload - File Upload widget for jQuery
Summary: Review Request: js-jquery-file-upload - File Upload widget for jQuery
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1411195
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 05:04 UTC by Randy Barlow
Modified: 2020-02-14 14:28 UTC (History)
3 users (show)

Fixed In Version: js-jquery-file-upload-9.17.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-14 14:28:14 UTC
Type: ---
jpena: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2017-01-09 05:04:52 UTC
Spec URL: https://bowlofeggs.fedorapeople.org/js-jquery-file-upload.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/js-jquery-file-upload-9.14.2-1.fc26.src.rpm
Description: File Upload widget with multiple file selection, drag&drop support, progress
bars, validation and preview images, audio and video for jQuery.
Supports cross-domain, chunked and resumable file uploads and client-side
image resizing. Works with any server-side platform (PHP, Python, Ruby on
Rails, Java, Node.js, Go etc.) that supports standard HTML form file uploads.
Fedora Account System Username: bowlofeggs

Comment 1 Javier Peña 2017-02-14 13:19:20 UTC
Hi Randy, I have a couple comments:

- Could you update the spec to the latest version (v9.16.0)? That should fix the license issue (and allow you to add it to %files) and the executable bit change.

- I'm not sure if the contents should go to _jsdir or _webassetdir. Based on https://fedoraproject.org/wiki/Packaging:JavaScript#Install_Location, I think this code can be run locally as part of another application, can't it?

Comment 2 Randy Barlow 2017-02-17 20:00:20 UTC
(In reply to Javier Peña from comment #1)
> - Could you update the spec to the latest version (v9.16.0)? That should fix
> the license issue (and allow you to add it to %files) and the executable bit
> change.

Hello Javier!

Looks like there was also a 9.17.0 released today, so I've upgraded to that:

Spec URL: https://bowlofeggs.fedorapeople.org/js-jquery-file-upload.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/js-jquery-file-upload-9.17.0-1.fc26.src.rpm

> - I'm not sure if the contents should go to _jsdir or _webassetdir. Based on
> https://fedoraproject.org/wiki/Packaging:JavaScript#Install_Location, I
> think this code can be run locally as part of another application, can't it?

I think _webassetdir is correct, since this is a jQuery plugin. jQuery is a browser DOM manipulation library, so this project is meant to be run in web browsers.

Comment 3 Javier Peña 2017-02-20 09:45:07 UTC
Thanks for the update. The package is APPROVED, please go ahead with the SCM request.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 51 files have
     unknown license. Detailed output of licensecheck in /tmp/1411201-js-
     jquery-file-upload/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: js-jquery-file-upload-9.17.0-1.fc26.noarch.rpm
          js-jquery-file-upload-9.17.0-1.fc26.src.rpm
js-jquery-file-upload.noarch: W: spelling-error %description -l en_US chunked -> chinked, clunked, chucked
js-jquery-file-upload.noarch: W: spelling-error %description -l en_US resumable -> presumable, presumably
js-jquery-file-upload.noarch: W: spelling-error %description -l en_US resizing -> residing, re sizing, re-sizing
js-jquery-file-upload.noarch: W: dangling-symlink /usr/share/web-assets/jQuery-File-Upload/js/vendor/jquery.ui.widget.js /usr/share/javascript/jquery_ui/ui/jquery.ui.widget.js
js-jquery-file-upload.noarch: W: dangling-symlink /usr/share/web-assets/jQuery-File-Upload/js/jquery.iframe-transport.js /usr/share/javascript/jquery-iframe-transport/jquery.iframe-transport.js
js-jquery-file-upload.src: W: spelling-error %description -l en_US chunked -> chinked, clunked, chucked
js-jquery-file-upload.src: W: spelling-error %description -l en_US resumable -> presumable, presumably
js-jquery-file-upload.src: W: spelling-error %description -l en_US resizing -> residing, re sizing, re-sizing
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
js-jquery-file-upload.noarch: W: spelling-error %description -l en_US chunked -> chinked, clunked, chucked
js-jquery-file-upload.noarch: W: spelling-error %description -l en_US resumable -> presumable, presumably
js-jquery-file-upload.noarch: W: spelling-error %description -l en_US resizing -> residing, re sizing, re-sizing
js-jquery-file-upload.noarch: W: dangling-symlink /usr/share/web-assets/jQuery-File-Upload/js/jquery.iframe-transport.js /usr/share/javascript/jquery-iframe-transport/jquery.iframe-transport.js
js-jquery-file-upload.noarch: W: dangling-symlink /usr/share/web-assets/jQuery-File-Upload/js/vendor/jquery.ui.widget.js /usr/share/javascript/jquery_ui/ui/jquery.ui.widget.js
1 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
js-jquery-file-upload (rpmlib, GLIBC filtered):
    js-jquery
    js-jquery-iframe-transport
    web-assets-filesystem
    xstatic-jquery-ui-common



Provides
--------
js-jquery-file-upload:
    js-jquery-file-upload



Source checksums
----------------
https://github.com/blueimp/jQuery-File-Upload/archive/v9.17.0/js-jquery-file-upload-9.17.0.tar.gz :
  CHECKSUM(SHA256) this package     : 5dea234fafb1f0683f6f82d96aaac695afbc2c8f32b229de623049d045ce5e66
  CHECKSUM(SHA256) upstream package : 5dea234fafb1f0683f6f82d96aaac695afbc2c8f32b229de623049d045ce5e66


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1411201 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Gwyn Ciesla 2017-02-21 14:01:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/js-jquery-file-upload

Comment 5 Fedora Update System 2017-02-21 17:46:27 UTC
js-jquery-file-upload-9.17.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-19f210f5aa

Comment 6 Fedora Update System 2017-02-21 17:46:34 UTC
js-jquery-file-upload-9.17.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-828ccca3cf

Comment 7 Fedora Update System 2017-02-22 18:52:58 UTC
js-jquery-file-upload-9.17.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-828ccca3cf

Comment 8 Fedora Update System 2017-02-22 21:08:38 UTC
js-jquery-file-upload-9.17.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-19f210f5aa

Comment 9 Fedora Update System 2017-03-01 20:30:59 UTC
js-jquery-file-upload-9.17.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-828ccca3cf

Comment 10 Fedora Update System 2017-03-03 05:23:27 UTC
js-jquery-file-upload-9.17.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-828ccca3cf


Note You need to log in before you can comment on or make changes to this bug.